From 139d9b3d68cb1b3bae6018a01e77ff572826d49c Mon Sep 17 00:00:00 2001
From: David Christensen <david.christensen@crunchydata.com>
Date: Wed, 19 Jul 2023 12:50:34 -0400
Subject: [PATCH v2 5/5] Add pragmas to libdivide to make header check happy

---
 src/include/common/libdivide.h | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/include/common/libdivide.h b/src/include/common/libdivide.h
index 96dd272119..340f9a168f 100644
--- a/src/include/common/libdivide.h
+++ b/src/include/common/libdivide.h
@@ -1,3 +1,7 @@
+#pragma GCC diagnostic push
+#pragma GCC diagnostic ignored "-Wdeclaration-after-statement"
+#undef __cplusplus
+
 // libdivide.h - Optimized integer division
 // https://libdivide.com
 //
-- 
2.39.2

